Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2012.10.03
Release:	1
License:	OPEN DATA LICENSE (see LICENSE.txt)
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
# Source0-md5:	cba2cf7359950e6010aa752721008f16
Source1:	http://www.maxmind.com/download/geoip/database/LICENSE.txt
# Source1-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
URL:		http://www.maxmind.com/app/geolitecity
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gunzip GeoLiteCity.dat.gz

ver=$(TZ=GMT stat -c '%y' GeoLiteCity.dat | awk '{print $1}' | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%{_datadir}/GeoIP/*.dat
%changelog
* Tue Oct 16 2012 Elan Ruusamäe <glen@delfi.ee> 64129ae
- up to 2012.10.03

* Sun Sep 30 2012 Elan Ruusamäe <glen@delfi.ee> 4b1137f
- use GMT timezone, not to fail on builders having different timezone

* Fri Sep 28 2012 Elan Ruusamäe <glen@delfi.ee> d760dae
update to 2012.09.05

* Sun Aug 12 2012 Elan Ruusamäe <glen@delfi.ee> c998cc3
- up to 2012.08.08

* Wed Jul 04 2012 Elan Ruusamäe <glen@pld-linux.org> b4b011a
- up to 2012.07.04

* Wed May 09 2012 Elan Ruusamäe <glen@pld-linux.org> 8583681
- up to 2012.05.04

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 7c9e616
- up to 2012-04 release

* Fri Jan 06 2012 Elan Ruusamäe <glen@pld-linux.org> 803599a
- up to 2012.01.04

* Sat Nov 05 2011 Karol Krenski <charles@pld-linux.org> 71d6fba
- up to 2011.11.02

* Tue Aug 09 2011 Elan Ruusamäe <glen@pld-linux.org> 1549057
- up to 2011.08.05

* Tue Jul 12 2011 Karol Krenski <charles@pld-linux.org> 3e54ae0
- up to 2011.07.06

* Fri May 13 2011 Karol Krenski <charles@pld-linux.org> eae51e6
- up to 2011.05.03

* Thu Apr 28 2011 Elan Ruusamäe <glen@pld-linux.org> 05bb91b
- 2011/04 update

* Thu Feb 10 2011 Elan Ruusamäe <glen@pld-linux.org> 1889ace
- up to 2011.02.02

* Sun Jan 09 2011 Elan Ruusamäe <glen@pld-linux.org> aae7e11
- 2011.01.04

* Mon Dec 27 2010 pawelz <pawelz@pld-linux.org> a1b2a0d
- do not provide %{_datadir}/GeoIP directory. It is provided by GeoIP-libs.
- rel 2

* Wed Dec 08 2010 Elan Ruusamäe <glen@pld-linux.org> d74d35c
- 2010.12.05

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> cd369cd
- up to 2010.12.04

* Thu Nov 04 2010 Karol Krenski <charles@pld-linux.org> bc48f1c
- up to 2010.11.02

* Mon Oct 11 2010 Karol Krenski <charles@pld-linux.org> 958beaa
- up to 2010.10.01

